
%define iconname sylpheed.png
%define pre %nil

Summary:	A GTK+ based, lightweight, and fast e-mail client
Name:		sylpheed
Version:	1.0.4
Release:	1mdk
Source0:	%{name}-%{version}%{pre}.tar.bz2 
License:	GPL
URL:		http://sylpheed.good-day.net/
BuildRequires:	gtk+1.2-devel
BuildRequires:	imlib-devel
BuildRequires:	libgpgme-devel >= 0.4.5
BuildRequires:	libldap-devel 
BuildRequires:	libpisock-devel 
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	faces-devel
BuildRequires:	ImageMagick
BuildRequires:  iptables-ipv6
Requires:	gtk+ >= 1.2.10 
Group:		Networking/Mail
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:	sylpheed-main
Conflicts:	sylpheed-claws

%description
This program is an X based fast e-mail client which has features
(or go for it :-)) like:
	o user-friendly and intuitive interface
	o integrated NetNews client (partially implemented)
	o ability of keyboard-only operation
	o Mew/Wanderlust-like key bind
	o multipart MIME
	o built-in image view
	o external editor support
	o unlimited multiple account handling
	o message queueing
	o filtering
	o XML-based address book
See 'README' for more information.

%prep
%setup -q -n %{name}-%{version}%{pre}

%build 

%configure2_5x --enable-gpgme --enable-jpilot --enable-ssl --enable-ldap \
                         --enable-ipv6

%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
convert sylpheed.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert sylpheed.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert sylpheed.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{name}"\
icon="%{name}.png"\
title="Sylpheed"\
longtitle="A fast GTK+ based Mail client"\
needs="x11"\
section="Internet/Mail"
EOF
 
%{find_lang} %name
 
%post
%update_menus
 
%postun
%clean_menus  

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog* NEWS README* INSTALL* TODO* 
%dir %{_datadir}/%{name}/*
%dir %{_datadir}/%{name}/*/*
%doc %dir %{_datadir}/%{name} 
%doc %dir %{_datadir}/%{name}/manual/*/*
%doc %{_datadir}/%{name}/faq/*/*.html  
%{_bindir}/* 
%{_menudir}/*
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}
%{_miconsdir}/%{iconname}
 
%changelog
* Fri Mar 25 2005 Charles A Edwards <eslrahc@mandrake.org> 1.0.4-1mdk
- 1.0.4

* Fri Mar 04 2005 Charles A Edwards <eslrahc@mandrake.org> 1.0.3-1mdk
- 1.0.3

* Thu Feb 03 2005 Charles A Edwards <eslrahc@mandrake.org> 1.0.1-1mdk
- 1.0.1
- BR gpgme >= 0.4.5..now supports gpgme-1.0
- enable ipv6 support

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.0-2mdk
- rebuild for new readline
- cosmetics

* Mon Dec 27 2004 Charles A Edwards <eslrahc@mandrake.org> 1.0.0-1mdk
- new release

* Sat Dec 04 2004 Charles A Edwards <eslrahc@mandrake.org> 1.0.0-0.beta4.1mdk
- 1.0.0beta4

* Tue Nov 09 2004 Charles A Edwards <eslrahc@mandrake.org> 1.0.0-0.beta2.1mdk
- 1.0.0beta2
- add version to libgpgme BR
- disable ipv6

* Sat May 29 2004 Charles A Edwards <eslrahc@mandrake.org> 0.9.11-1mdk
- 0.9.11
- rm buildroot in %%install instead of %%prep
- rm ldap fix--no longer needed

* Tue Mar 02 2004 Charles A Edwards <eslrahc@mandrake.org> 0.9.10-1mdk
- 0.9.10
- work around for ldap (Tibor Pittich)
- menu entry

* Fri Jan 30 2004 Charles A Edwards <eslrahc@mandrake.org> 0.9.9-1mdk
- 0.9.9
- adjust buildrequires for libgpgme-devel

* Thu Jan 01 2004 Charles A Edwards <eslrahc@mandrake.org> 0.9.8a-1mdk
- 0.9.8a
- DIRM fixes

* Sat Dec 13 2003 Charles A Edwards <eslrahc@mandrake.org> 0.9.8-1mdk
- 0.9.8

*Wed Oct 15 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.9.7-1mdk
- 0.9.7

* Fri Sep 19 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.9.6-1mdk
- 0.9.6
- spec clean-up
- fix BuildRequires for lib64 platforms
- rm  explicit-lib-dependency

* Wed Sep 03 2003  Lenny Cartier <lenny@mandrakesoft.com> 0.9.5-1mdk
- 0.9.5

* Sat Aug 02 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.9.4-1mdk
- 0.9.4
- Remove redundant BuildRequires
- adjust file listings for doc, faq and manual

* Thu Jul 17 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.9.3-3mdk
- Fix BuildRequires...libsas12-devel

* Sun Jul 06 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.9.3-2mdk
- BuildRequires, thanks to Buchan Milne
- don't need to have menudir created twice

* Thu Jul 04 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.9.3-1mdk
- 0.9.3
- drop Sources 1-3 and use included icon
- add marco iconname
- use marco makeinstall_std

* Wed Jul 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.2-1mdk
- new release

* Wed May 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- 0.9.1

* Tue Mar 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.11-1mdk
- 0.8.11

* Mon Mar 03 2003 Marcel Pol <mpol@gmx.net> 0.8.10-1mdk
- 0.8.10
- fix BuildRequires
  
* Fri Jan 10 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.8.8-2mdk
- enable ldap 

* Fri Jan 03 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.8-1mdk
- new release
- fix build regarding new rpm macros

* Mon Nov 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.6-1mdk
- 0.8.6

* Tue Oct 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.5-2mdk
- rebuild against libgpgme

* Thu Oct 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.5-1mdk
- 0.8.5

* Wed Oct 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.4-1mdk
- 0.8.4

* Sun Sep 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.3-1mdk
- 0.8.3

* Wed Sep 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-2mdk
- enable jpilot & ssl

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-1mdk
- 0.8.2
- requires libgpgme

* Mon Aug 5 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.8.1-2mdk
- add gpg support
* Thu Jul 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-1mdk
- 0.8.1

* Mon Jul 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.0-1mdk
- 0.8.0

* Mon Jun 25 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.7.8-2mdk
- (Re-?)add a Provides, so that not both sylpheed and -claws can
  be installed; they Conflict:
- Also add a Conflicts: sylpheed-claws

* Mon Jun 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.8-1mdk
- 0.7.8

* Mon Jun 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.7-1mdk
- new release

* Mon May 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.6-1mdk
- 0.7.6

* Mon Apr 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.5-1mdk
- new release
- remove useless prefix
- ${VAR} is often what on intend
- use %%lang on %_datadir/%name/manual/??
- add more docs (why put ja and not en one)
- use %%lang(ja) on japanese doc
- don't install standard INSTALL

* Tue Mar 12 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.7.4-1mdk
- 0.7.4

* Tue Mar 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-1mdk
- 0.7.3

* Tue Feb 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Mon Feb 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Tue Jan 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- 0.7.0

* Mon Dec 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.6-1mdk
- 0.6.6

* Mon Dec 03 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.6.5-2mdk
- Rebuild (only the SRPM was there).
- Update require (gtk => 1.2.10).

* Wed Nov 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.5-1mdk
- 0.6.5

* Mon Oct 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.4-1mdk
- 0.6.4

* Wed Oct 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-1mdk
- 0.6.3

* Mon Sep 03 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.6.1-1mdk
- updated to 0.6.1

* Fri Aug 30 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.6.0-1mdk
- upgraded to 0.6.0 (SSL support is added)

* Tue Aug 21 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.5.3-1mdk
- updated to 0.5.3

* Thu Jul 24 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.5.1-1mdk
- updated to 0.5.1, icons added.

* Fri Jul  6 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.5.0-1mdk
- updated to 0.5.0 final

* Wed Jun 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0pre2-1mdk
- updated by James Segarra <jim@segarra.org>

* Mon Jun 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.66-1mdk
- updated to 0.4.66 by James Segarra <jim@segarra.org>

* Thu May 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.65-1mdk
- updated to 0.4.65

* Thu Apr 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.64-1mdk
- updated to 0.4.64

* Tue Apr 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.63-1mdk
- updated to 0.4.63

* Mon Mar 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.62-1mdk
- updated to 0.4.62

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.61-1mdk
- updated to 0.4.61

* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.60-1mdk
- updated to 0.4.60

* Tue Jan 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.51-1mdk 
- devel version 0.4.51

* Mon Dec 18 2000  Lenny Cartier <lenny@mandrakesoft.com> 0.4.9-1mdk
- updated to 0.4.9
- updated locales

* Sat Dec 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.7-1mdk
- updated to 0.4.7

* Thu Nov 23 2000  Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-1mdk
- updated to 0.4.5

* Tue Nov 7 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.4-2mdk
- remove useless changelog

* Tue Nov 7 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.4-1mdk
- new in contribs
